Summary:	GNOME Bluetooth Subsystem
Summary(pl.UTF-8):	Podsystem GNOME Bluetooth
Name:		gnome-bluetooth
Version:	3.18.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-bluetooth/3.18/%{name}-%{version}.tar.xz
# Source0-md5:	040128a3c3cf6809381fb474a6297cec
Source1:	61-%{name}-rfkill.rules
URL:		http://live.gnome.org/GnomeBluetooth
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.9
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	glib2-devel >= 1:2.38.0
BuildRequires:	gnome-common
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	gtk+3-devel >= 3.12.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libcanberra-gtk3-devel
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	libtool
BuildRequires:	libxml2-progs
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	udev-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXi-devel
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	%{name}-libs = %{version}-%{release}
Requires:	bluez >= 4.22
Requires:	dbus(org.openobex.client)
Requires:	dconf
Requires:	hicolor-icon-theme
Requires:	udev-acl
Obsoletes:	bluez-gnome < 1.9
Obsoletes:	bluez-pin
Obsoletes:	nautilus-sendto-gnome-bluetooth
Obsoletes:	python-gnome-bluetooth
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Bluetooth provides tools for controlling and communicating with
Bluetooth devices.

%description -l pl.UTF-8
GNOME Bluetooth dostarcza narzędzia do kontrolowania i komunikowania
się z urządzeniami Bluetooth.

%package libs
Summary:	GNOME Bluetooth subsystem shared libraries
Summary(pl.UTF-8):	Współdzielone biblioteki dla podsystemu GNOME Bluetooth
License:	LGPL v2+
Group:		X11/Libraries
Requires:	glib2 >= 1:2.38.0

%description libs
GNOME Bluetooth subsystem shared libraries.

%description libs -l pl.UTF-8
Współdzielone biblioteki dla podsystemu GNOME Bluetooth.

%package devel
Summary:	Header files for GNOME Bluetooth subsystem
Summary(pl.UTF-8):	Pliki nagłówkowe dla podsystemu GNOME Bluetooth
License:	LGPL v2+
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.38.0
Requires:	gtk+3-devel >= 3.12.0

%description devel
Header files for GNOME Bluetooth subsystem.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla podsystemu GNOME Bluetooth.

%package static
Summary:	Static GNOME Bluetooth library
Summary(pl.UTF-8):	Statyczna biblioteka GNOME Bluetooth
License:	LGPL v2+
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GNOME Bluetooth library.

%description static -l pl.UTF-8
Statyczna biblioteka GNOME Bluetooth.

%package apidocs
Summary:	GNOME Bluetooth library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki GNOME Bluetooth
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
GNOME Bluetooth library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki GNOME Bluetooth.

%prep
%setup -q

%build
%{__gtkdocize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-desktop-update \
	--disable-icon-update \
	--enable-introspection \
	--disable-schemas-compile \
	--disable-silent-rules \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/udev/rules.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p %{SOURCE1} $RPM_BUILD_ROOT/lib/udev/rules.d

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgnome-bluetooth.la

%find_lang %{name} --with-gnome --with-omf --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/bluetooth-sendto
%{_desktopdir}/bluetooth-sendto.desktop
%{_datadir}/gnome-bluetooth
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg
%{_mandir}/man1/bluetooth-sendto.1*
/lib/udev/rules.d/61-gnome-bluetooth-rfkill.rules

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnome-bluetooth.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnome-bluetooth.so.13
%{_libdir}/girepository-1.0/GnomeBluetooth-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnome-bluetooth.so
%{_includedir}/gnome-bluetooth
%{_pkgconfigdir}/gnome-bluetooth-1.0.pc
%{_datadir}/gir-1.0/GnomeBluetooth-1.0.gir

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gnome-bluetooth
%changelog
* Mon Sep 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-bluetooth.git;a=log;h=master

* Mon Sep 28 2015 Łukasz Kieś <kiesiu@pld-linux.org> 73058cd
- updated to 3.18.0

* Mon Apr 20 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 0c12037
- Update to 3.16.1

* Sat Mar 28 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 6cfd2e3
- Update to 3.16.0

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 5d2a8d5
- x32 rebuild
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 0fee687
- updated gettext BR

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> 5e25db5
- noarch apidocs

* Thu Mar 27 2014 Marcin Banasiak <marcin.banasiak@gmail.com> f63cd49
- Update to 3.12.0

* Sat Sep 28 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 04a1884
- Update glib2 version in -devel

* Sat Sep 28 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 8d6884c
- Update to 3.10.0 (note: new soname)

* Mon Jun 03 2013 Marcin Banasiak <marcin.banasiak@gmail.com> ab67a3b
- Update to 3.8.1

* Wed Mar 27 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 6ccd48a
- Update to 3.8.0

* Sun Nov 18 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 3ade3c3
- Update to 3.6.1

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 273d70b
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Tue Sep 25 2012 Łukasz Kieś <kiesiu@pld-linux.org> 1b58296
- updated to 3.6.0
- new soname
- use yelp instead of gnome-doc

* Sat Jul 07 2012 Łukasz Kieś <kiesiu@pld-linux.org> 8925b43
- updated to 3.4.2

* Wed Jun 13 2012 Łukasz Kieś <kiesiu@pld-linux.org> fab1a5c
- updated to 3.4.1

* Sat Mar 31 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 6773929
- fixed udev rule to work with new udev
- release 2

* Tue Mar 27 2012 Marcin Banasiak <marcin.banasiak@gmail.com> e0b2a05
- obsolete

* Tue Mar 27 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 16d248d
- updated to 3.4.0; merged changes from DEVEL
- removed obsolete -am.patch

* Tue Feb 14 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 1e85695
- fixed build with automake 1.11.2
- release 2

